## halt

#### OS/161 Reference Manual

### Name

halt - halt system

### Synopsis

`/sbin/halt`

### Description

`halt` shuts the system down. A clean shutdown is performed, flushing buffers to disk, unmounting filesystems, and so forth.

Once shutdown is complete, `halt` stops execution of the operating system. What this entails depends on the platform. On platforms with a hardware boot monitor, it normally returns to the boot monitor. On software-based platforms, such as System/161, it normally terminates the software simulation. On other platforms the system will generally wait for a keystroke on the console and then reboot.

### Requirements

`halt` uses the reboot system call.

`halt` will function properly even before you do any work on OS/161.

### See Also

/bin/sync
reboot, poweroff